# Generated by go2rpm
%bcond_without check

# https://github.com/kubernetes/sample-apiserver
%global goipath         k8s.io/sample-apiserver
%global forgeurl        https://github.com/kubernetes/sample-apiserver
Version:                1.18.9
%global tag             kubernetes-1.18.9
%global distprefix      %{nil}

%gometa

%global common_description %{expand:
Demonstration of how to use the k8s.io/apiserver library to build a functional
API server.}

%global golicenses      LICENSE
%global godocs          docs README.md code-of-conduct.md CONTRIBUTING.md

Name:           %{goname}
Release:        1%{?dist}
Summary:        Reference implementation of an apiserver for a custom Kubernetes API

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/go-openapi/spec)
BuildRequires:  golang(github.com/google/gofuzz)
BuildRequires:  golang(github.com/spf13/cobra)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/errors)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/meta)
BuildRequires:  golang(k8s.io/apimachinery/pkg/apis/meta/v1)
BuildRequires:  golang(k8s.io/apimachinery/pkg/conversion)
BuildRequires:  golang(k8s.io/apimachinery/pkg/fields)
BuildRequires:  golang(k8s.io/apimachinery/pkg/labels)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime/schema)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime/serializer)
BuildRequires:  golang(k8s.io/apimachinery/pkg/types)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/errors)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/runtime)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/validation/field)
BuildRequires:  golang(k8s.io/apimachinery/pkg/version)
BuildRequires:  golang(k8s.io/apimachinery/pkg/watch)
BuildRequires:  golang(k8s.io/apiserver/pkg/admission)
BuildRequires:  golang(k8s.io/apiserver/pkg/endpoints/openapi)
BuildRequires:  golang(k8s.io/apiserver/pkg/features)
BuildRequires:  golang(k8s.io/apiserver/pkg/registry/generic)
BuildRequires:  golang(k8s.io/apiserver/pkg/registry/generic/registry)
BuildRequires:  golang(k8s.io/apiserver/pkg/registry/rest)
BuildRequires:  golang(k8s.io/apiserver/pkg/server)
BuildRequires:  golang(k8s.io/apiserver/pkg/server/options)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/names)
BuildRequires:  golang(k8s.io/apiserver/pkg/util/feature)
BuildRequires:  golang(k8s.io/client-go/discovery)
BuildRequires:  golang(k8s.io/client-go/discovery/fake)
BuildRequires:  golang(k8s.io/client-go/rest)
BuildRequires:  golang(k8s.io/client-go/testing)
BuildRequires:  golang(k8s.io/client-go/tools/cache)
BuildRequires:  golang(k8s.io/client-go/util/flowcontrol)
BuildRequires:  golang(k8s.io/component-base/logs)
BuildRequires:  golang(k8s.io/klog/v2)
BuildRequires:  golang(k8s.io/kube-openapi/pkg/common)

%if %{with check}
# Tests
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/apitesting/roundtrip)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
sed -i "s|k8s.io/klog|k8s.io/klog/v2|" $(find . -type f -iname "*.go")

%build
%gobuild -o %{gobuilddir}/bin/sample-apiserver %{goipath}

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc docs README.md code-of-conduct.md CONTRIBUTING.md
%{_bindir}/*

%gopkgfiles

%changelog
* Wed Sep 30 02:52:48 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.18.9-1
- Update to 1.18.9

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.18.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 06 15:06:22 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.18.3-1
- Update to 1.18.3

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jul 07 02:19:09 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.15.0-1
- Release 1.15.0

* Mon May 20 15:26:35 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.13.7-1.beta.0
- Initial package
